Page MenuHomePhabricator

Run namespaceDupes.php on es.wikipedia
Closed, ResolvedPublic

Description

We still have namespace inconsistencies at eswiki as described in the parent task. Could a sysadmin please run namespaceDupes.php in dry-run first to see how many will be affected and fix it afterwards? Thanks.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 10 2017, 5:28 PM
bd808 added a subscriber: bd808.Jul 10 2017, 11:14 PM
$ mwscript namespaceDupes.php --wiki=eswiki --dry-run
0 pages to fix, 0 were resolvable.

pagelinks from=2383157 ns=0 dbk=Imagen:Firma.png -> Archivo:Firma.png DRY RUN
pagelinks from=4800548 ns=0 dbk=Imagen:Nuvola_apps_kbouncey.png -> Archivo:Nuvola_apps_kbouncey.png DRY RUN
pagelinks from=2427646 ns=0 dbk=Imagen:Padlock.svg -> Archivo:Padlock.svg DRY RUN
pagelinks from=897669 ns=0 dbk=Imagen:Stop_hand.svg -> Archivo:Stop_hand.svg DRY RUN
pagelinks from=1736292 ns=0 dbk=Imagen:Stop_hand.svg -> Archivo:Stop_hand.svg DRY RUN
pagelinks from=1903259 ns=0 dbk=Imagen:Stop_hand.svg -> Archivo:Stop_hand.svg DRY RUN
pagelinks from=1961267 ns=0 dbk=Imagen:Stop_hand.svg -> Archivo:Stop_hand.svg DRY RUN
pagelinks from=1961267 ns=0 dbk=Imagen:Stop_hand_nuvola.svg -> Archivo:Stop_hand_nuvola.svg DRY RUN
pagelinks from=2102169 ns=0 dbk=Imagen:Stop_hand_nuvola.svg -> Archivo:Stop_hand_nuvola.svg DRY RUN
pagelinks from=2427646 ns=0 dbk=Imagen:Stop_hand_nuvola.svg -> Archivo:Stop_hand_nuvola.svg DRY RUN
10 links to fix, 10 were resolvable.

Looks good!

Thanks @bd808 - Interesting that eswiki do not have locally uploaded images for years yet the conflicting namespaces are from uploaded files? /me rolls eyes.

@Dereckson In light of the above, can we safely run the script?

Yes you can, but some of the links perhaps will have to be manually updated afterwards.

Mentioned in SAL (#wikimedia-operations) [2017-07-12T10:46:57Z] <_joe_> running namespaceDupes.php on eswiki, T170176

MarcoAurelio closed this task as Resolved.Jul 12 2017, 11:07 AM
MarcoAurelio assigned this task to Joe.